/*!
  \file
  \brief Terminal program for URG

  \author Satofumi KAMIMURA

  $Id: ScipTerminalWidget.cpp 1747 2010-03-14 23:05:48Z satofumi $
*/

#include "ScipTerminalWidget.h"


struct ScipTerminalWidget::pImpl
{
  ScipTerminalWidget* widget_;


  pImpl(ScipTerminalWidget* widget)
    : widget_(widget)
  {
  }


  void initializeForm(void)
  {
    // !!!
  }
};


ScipTerminalWidget::ScipTerminalWidget(QWidget* widget)
  : QWidget(widget), pimpl(new pImpl(this))
{
  setupUi(this);
  pimpl->initializeForm();
}


ScipTerminalWidget::~ScipTerminalWidget(void)
{
}
